Bug 31601 - Materials specified note should include an ID on both the check in and checkout pages
Summary: Materials specified note should include an ID on both the check in and checko...
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Staff Client (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Lucas Gass
QA Contact: Marcel de Rooy
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-09-22 13:12 UTC by Lucas Gass
Modified: 2022-10-03 11:34 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
22.11.00


Attachments
Bug 31601: Add ID to materials specified check-in page (1.38 KB, patch)
2022-09-22 13:19 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 31601: Add ID to materials specified check-in page (1.43 KB, patch)
2022-09-22 13:37 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 31601: Add ID to materials specified check-in page (1.49 KB, patch)
2022-09-22 15:27 UTC, sandboxes@biblibre.com
Details | Diff | Splinter Review
Bug 31601: Add ID to materials specified check-in page (1.59 KB, patch)
2022-09-30 09:50 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Lucas Gass 2022-09-22 13:12:07 UTC
If you add a materials specified, 952$3, a note will appear on both the check-in and checkout pages. The checkout page already included the ID '#materials' but the check-in does not. 

They should both have an ID so they can be targeted directly with CSS or jQuery.
Comment 1 Lucas Gass 2022-09-22 13:19:35 UTC
Created attachment 140847 [details] [review]
Bug 31601: Add ID to materials specified check-in page

TO test:
1. Apply patch
2. Find an item and add a materials specified note ( 952$3 ) to it.
3. Add this CSS to the IntranetUserCSS system preference:
	background: red;
}
4. Now check-in the item in. The background of the materials specified note should now be red!
5. Hooray, sign off!
Comment 2 Owen Leonard 2022-09-22 13:37:28 UTC
Created attachment 140848 [details] [review]
Bug 31601: Add ID to materials specified check-in page

TO test:
1. Apply patch
2. Find an item and add a materials specified note ( 952$3 ) to it.
3. Add this CSS to the IntranetUserCSS system preference:
	background: red;
}
4. Now check-in the item in. The background of the materials specified note should now be red!
5. Hooray, sign off!

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 3 Jessie Zairo 2022-09-22 14:46:08 UTC
The checkin note was not red.
Comment 4 Lucas Gass 2022-09-22 14:56:46 UTC
(In reply to Jessie Zairo from comment #3)
> The checkin note was not red.

Works for me, can you please reapply the patch and try again?
Comment 5 sandboxes@biblibre.com 2022-09-22 15:27:21 UTC
Created attachment 140852 [details] [review]
Bug 31601: Add ID to materials specified check-in page

TO test:
1. Apply patch
2. Find an item and add a materials specified note ( 952$3 ) to it.
3. Add this CSS to the IntranetUserCSS system preference:
	background: red;
}
4. Now check-in the item in. The background of the materials specified note should now be red!
5. Hooray, sign off!

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Lisette Scheer <lisettePalouse+Koha@gmail.com>
Comment 6 Lisette Scheer 2022-09-22 15:28:02 UTC
Worked as expected for me.
Comment 7 Marcel de Rooy 2022-09-30 09:50:09 UTC
Created attachment 141115 [details] [review]
Bug 31601: Add ID to materials specified check-in page

TO test:
1. Apply patch
2. Find an item and add a materials specified note ( 952$3 ) to it.
3. Add this CSS to the IntranetUserCSS system preference:
	background: red;
}
4. Now check-in the item in. The background of the materials specified note should now be red!
5. Hooray, sign off!

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Lisette Scheer <lisettePalouse+Koha@gmail.com>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 8 Marcel de Rooy 2022-09-30 09:50:58 UTC
Penalty points for not filling assignee
Comment 9 Tomás Cohen Arazi 2022-10-03 11:34:34 UTC
Pushed to master for 22.11.

Nice work everyone, thanks!